Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 1334)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpII.java	(revision 1335)
@@ -229,7 +229,7 @@
 			String[] split = line.split("=", 2); //$NON-NLS-1$
 			if (split.length == 2) {
 				if (hasLine(split[0])) {
-					System.out.println(TXMCoreMessages.QueryIndex_2+line);
+					System.out.println(TXMCoreMessages.warningDDotDuplicateQueryEntryDDot+line);
 				} else {
 					QueryResult result = corpus.query(new CQLQuery(split[1]), "Q"+nquery++, false); //$NON-NLS-1$
 					int[] starts = result.getStarts();
@@ -338,7 +338,7 @@
 		try {
 			toTxt(outfile, 0, lines.size(), encoding, colseparator, txtseparator);
 		} catch (Exception e) {
-			System.err.println(IndexCoreMessages.Index_7 + Log.toString(e));
+			System.err.println(IndexCoreMessages.failedToExportLexiconDDot + Log.toString(e));
 			return false;
 		}
 		return true;
@@ -721,4 +721,4 @@
 		return this.getClass().getSimpleName();
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java
===================================================================
--- tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 1334)
+++ tmp/org.txm.cql2lsa.rcp/src/org/txm/functions/cql2lsa/ExpI.java	(revision 1335)
@@ -155,10 +155,10 @@
 			String[] split = line.split("=", 2); //$NON-NLS-1$
 			if (split.length == 2) {
 				if (hasLine(split[0])) {
-					System.out.println(TXMCoreMessages.QueryIndex_2+line);
+					System.out.println(TXMCoreMessages.warningDDotDuplicateQueryEntryDDot+line);
 				} else {
 					if (addLine(split[0], new CQLQuery(split[1])) == null) {
-						System.out.println(TXMCoreMessages.QueryIndex_3+line);
+						System.out.println(TXMCoreMessages.warningDDotQueryFailedDDot+line);
 					}
 					monitor.worked(1);
 				}
@@ -179,7 +179,7 @@
 		try {
 			toTxt(outfile, 0, lines.size(), encoding, colseparator, txtseparator);
 		} catch (Exception e) {
-			System.err.println(IndexCoreMessages.Index_7 + Log.toString(e));
+			System.err.println(IndexCoreMessages.failedToExportLexiconDDot + Log.toString(e));
 			return false;
 		}
 		return true;
@@ -422,4 +422,4 @@
 		return this.getClass().getSimpleName();
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/PartitionIndexToLexicalTable.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/PartitionIndexToLexicalTable.java	(revision 1334)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/handlers/PartitionIndexToLexicalTable.java	(revision 1335)
@@ -79,18 +79,18 @@
 //
 //		if (!voc.isComputedWithPartition()) {
 //			
-//			System.out.println(TXMUIMessages.IndexToLexicalTable_0);
-//			StatusLine.setMessage(TXMUIMessages.IndexToLexicalTable_0);
+//			System.out.println(TXMUIMessages.cannotCreateALexicalTableFromAnIndexCreatedWithACorpusMoreThanOneColumnIsNeeded);
+//			StatusLine.setMessage(TXMUIMessages.cannotCreateALexicalTableFromAnIndexCreatedWithACorpusMoreThanOneColumnIsNeeded);
 //			return false;
 //		}
 //
-//		System.out.println(LexicalTableUIMessages.ComputeLexicalTable_3);
+//		System.out.println(LexicalTableUIMessages.openingMargeConfigurationDialog);
 //		ArrayList<String> choices = new ArrayList<String>();
-//		choices.add(LexicalTableUIMessages.ComputeLexicalTable_16);
-//		choices.add(LexicalTableUIMessages.ComputeLexicalTable_12);
+//		choices.add(LexicalTableUIMessages.useAllOccurrences);
+//		choices.add(LexicalTableUIMessages.userIndexOccurrences);
 //		ListSelectionDialog dialog = new ListSelectionDialog(shell, 
 //				choices, new ArrayContentProvider(), new LabelProvider(), 
-//				LexicalTableUIMessages.ComputeLexicalTable_13);
+//				LexicalTableUIMessages.selectWhichMarginsYouWantToUse);
 //		
 //		int ret = dialog.open();
 //		//System.out.println("ret= "+ret);
@@ -122,4 +122,4 @@
 //		return true;
 //	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/preferences/IndexPreferencesPage.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/preferences/IndexPreferencesPage.java	(revision 1334)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/preferences/IndexPreferencesPage.java	(revision 1335)
@@ -21,12 +21,12 @@
 	public void init(IWorkbench workbench) {
 		
 		this.setPreferenceStore(new TXMPreferenceStore(IndexPreferences.getInstance().getPreferencesNodeQualifier()));
-		this.setTitle(IndexUIMessages.preference_title);
+		this.setTitle(IndexUIMessages.index);
 		this.setImageDescriptor(IndexAdapterFactory.ICON);
 	}
 
 	@Override
 	protected void createFieldEditors() {
-		this.addField(new IntegerFieldEditor(TXMPreferences.N_LINES_PER_PAGE, IndexUIMessages.preference_number_of_lines_per_page, this.getFieldEditorParent()));
+		this.addField(new IntegerFieldEditor(TXMPreferences.N_LINES_PER_PAGE, IndexUIMessages.numberOfLinesPerResultPage, this.getFieldEditorParent()));
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 1334)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 1335)
@@ -1,54 +1,41 @@
-package org.txm.index.rcp.messages;
-
-import org.eclipse.osgi.util.NLS;
-import org.txm.utils.messages.Utf8NLS;
-
-/**
- * Index UI messages.
- * 
- * @author sjacquot
- *
- */
-public class IndexUIMessages extends NLS {
-
-	private static final String BUNDLE_NAME = "org.txm.index.rcp.messages.messages"; //$NON-NLS-1$
-
-	public static String composite_infos;
-	
-	public static String preference_number_of_lines_per_page;
-	public static String preference_title;
-	
-	public static String IndexEditor_0;
-	public static String IndexEditor_1;
-	public static String IndexEditor_10;
-	public static String IndexEditor_17;
-	public static String IndexEditor_18;
-	public static String IndexEditor_2;
-	public static String IndexEditor_20;
-	public static String IndexEditor_22;
-	public static String IndexEditor_25;
-	public static String IndexEditor_26;
-	public static String IndexEditor_27;
-	public static String IndexEditor_28;
-	public static String IndexEditor_29;
-	public static String IndexEditor_3;
-	public static String IndexEditor_31;
-	public static String IndexEditor_33;
-	public static String IndexEditor_36;
-	public static String IndexEditor_37;
-	public static String IndexEditor_4;
-	public static String IndexEditor_5;
-	public static String IndexEditor_6;
-	public static String IndexEditor_7;
-	public static String IndexEditor_8;
-	public static String ComputeIndex_0;
-
-	
-	static {
-		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexUIMessages.class);
-	}
-
-	private IndexUIMessages() {
-	}
-}
+package org.txm.index.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+/**
+ * Index UI messages.
+ * 
+ * @author sjacquot
+ *
+ */
+public class IndexUIMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.index.rcp.messages.messages"; //$NON-NLS-1$
+
+	public static String infos; 
+	
+	public static String numberOfLinesPerResultPage; 
+	public static String index; 
+	
+	public static String indexDDotQueryIsEmpty; 
+	public static String failedToComputeIndex; 
+	public static String cQPErrorDDot; 
+	public static String IndexEditor_17;
+	public static String indexOfInfP0SupWithPropertyDDotP1InTheCorpusDDotP2; 
+	public static String indexOfInfP0SupWithPropertyDDotP1InThePartitionDDotP2; 
+	public static String couldntInitializeIndexTable; 
+	public static String openingTheIndexResults; 
+	public static String computingIndex; 
+	public static String pageSize; 
+	public static String openingIndexResults; 
+
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexUIMessages.class);
+	}
+
+	private IndexUIMessages() {
+	}
+}
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1334)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 1335)
@@ -175,7 +175,7 @@
 //		paramArea.setLayout(new FormLayout());
 
 		// info&navigation panel
-		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.composite_infos, 1, false);
+		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.infos, 1, false);
 		infosArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		infosArea.getLayout().numColumns = 5; // nav panel + labels
 		
@@ -303,7 +303,7 @@
 		
 		
 		Label lNLigneppage = new Label(this.getExtendedParametersGroup(), SWT.NONE);
-		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
+		lNLigneppage.setText(IndexUIMessages.pageSize);
 
 		nLinesPerPageSpinner = new Spinner(this.getExtendedParametersGroup(), SWT.BORDER);
 		nLinesPerPageSpinner.setMinimum(0);
@@ -445,7 +445,7 @@
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(TXMUIMessages.SORT_COLUMN);
+				StatusLine.setMessage(TXMUIMessages.sortingColumn);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
@@ -460,7 +460,7 @@
 					}
 				}
 
-				StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
 
@@ -497,7 +497,7 @@
 						index.sortLines(SortMode.FREQUNIT, false);
 					}
 				}
-				StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
 
@@ -597,10 +597,10 @@
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
 
-		lFminInfo.setText(TXMCoreMessages.FMIN_2 + index.getFmin());
-		lFmaxInfo.setText(TXMCoreMessages.FMAX_2 + index.getFmax());
+		lFminInfo.setText(TXMCoreMessages.fmin + index.getFmin());
+		lFmaxInfo.setText(TXMCoreMessages.fmax + index.getFmax());
 		lTInfo.setText(TXMCoreMessages.common_t + index.getT());
-		lVInfo.setText(TXMCoreMessages.V + index.getV());
+		lVInfo.setText(TXMCoreMessages.v + index.getV());
 
 		lVInfo.getParent().layout();
 
@@ -630,7 +630,7 @@
 		if (!this.queryWidget.isDisposed()) {
 			this.queryWidget.setFocus();
 		}
-		StatusLine.setMessage(IndexUIMessages.IndexEditor_29);
+		StatusLine.setMessage(IndexUIMessages.openingTheIndexResults);
 	}
 
 	/**
@@ -654,4 +654,4 @@
 	public Query getQuery() {
 		return queryWidget.getQuery();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1334)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/editors/IndexEditor.java	(revision 1335)
@@ -173,7 +173,7 @@
 		//extendedParametersComposite.setLayout(new FormLayout());
 
 		// info&navigation panel
-		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.composite_infos, 1, false);
+		final GLComposite infosArea = this.getBottomToolbar().installGLComposite(IndexUIMessages.infos, 1, false);
 		infosArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, false));
 		infosArea.getLayout().numColumns = 5; // nav panel + labels
 		
@@ -237,7 +237,7 @@
 		
 		
 		Label lNLigneppage = new Label(this.getExtendedParametersGroup(), SWT.NONE);
-		lNLigneppage.setText(IndexUIMessages.IndexEditor_8);
+		lNLigneppage.setText(IndexUIMessages.pageSize);
 		
 		nLinesPerPageSpinner = new Spinner(this.getExtendedParametersGroup(), SWT.BORDER);
 		nLinesPerPageSpinner.setMinimum(0);
@@ -380,7 +380,7 @@
 		unitColumn.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				StatusLine.setMessage(TXMUIMessages.SORT_COLUMN);
+				StatusLine.setMessage(TXMUIMessages.sortingColumn);
 				if (viewer.getTable().getSortColumn() != unitColumn) {
 					viewer.getTable().setSortColumn(unitColumn);
 					viewer.getTable().setSortDirection(SWT.UP);
@@ -395,7 +395,7 @@
 					}
 				}
 
-				StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
 
@@ -424,7 +424,7 @@
 						index.sortLines(SortMode.FREQUNIT, false);
 					}
 				}
-				StatusLine.setMessage(TXMUIMessages.SORT_DONE);
+				StatusLine.setMessage(TXMUIMessages.sortDone);
 				fillResultArea();
 			}
 
@@ -507,10 +507,10 @@
 		navigationArea.setNextEnabled(to < index.getV());
 		navigationArea.setLastEnabled(to < index.getV());
 
-		lFminInfo.setText(TXMCoreMessages.FMIN_2 + index.getFmin());
-		lFmaxInfo.setText(TXMCoreMessages.FMAX_2 + index.getFmax());
+		lFminInfo.setText(TXMCoreMessages.fmin + index.getFmin());
+		lFmaxInfo.setText(TXMCoreMessages.fmax + index.getFmax());
 		lTInfo.setText(TXMCoreMessages.common_t + index.getT());
-		lVInfo.setText(TXMCoreMessages.V + index.getV());
+		lVInfo.setText(TXMCoreMessages.v + index.getV());
 
 		lVInfo.getParent().layout();
 
@@ -540,7 +540,7 @@
 		if (!this.queryWidget.isDisposed()) {
 			this.queryWidget.setFocus();
 		}
-		StatusLine.setMessage(IndexUIMessages.IndexEditor_29);
+		StatusLine.setMessage(IndexUIMessages.openingTheIndexResults);
 	}
 
 	/**
@@ -559,4 +559,4 @@
 	public Query getQuery() {
 		return queryWidget.getQuery();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreateSubCorpus.java	(revision 1335)
@@ -69,13 +69,13 @@
 		
 		selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
 		if (selection == null) {
-			System.out.println(TXMUIMessages.CreateSubCorpus_1+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
+			System.out.println(TXMUIMessages.noSelectionForDDot+HandlerUtil.getActiveWorkbenchWindow(event).getActivePage().getActiveEditor());
 			return null;
 		}
 		Object firstElement = selection.getFirstElement();
 		
 		if (!(firstElement instanceof CQPCorpus)) {
-			System.out.println(TXMUIMessages.CreateSubCorpus_3+firstElement);
+			System.out.println(TXMUIMessages.selectionIsNotACorpusDDot+firstElement);
 			return null;
 		}
 		
@@ -86,23 +86,23 @@
 		int code = d.open();
 		if (code == Window.OK) {
 			JobHandler jobhandler = new JobHandler(NLS.bind(
-					TXMUIMessages.CreateSubCorpus_create, corpus.getName())) {
+					TXMUIMessages.creatingASubcorpusOnP0, corpus.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {		
 					this.runInit(monitor);
 					JobsTimer.start();
 					try {
-						monitor.beginTask(TXMUIMessages.CreateSubCorpus_begin, 100);
+						monitor.beginTask(TXMUIMessages.creatingASubcorpusInTheSearchEngine, 100);
 						final Subcorpus subcorpus;
 
 						if (d.isAdvancedSelected() || d.isAssistedSelected()) {
 							CQLQuery q = new CQLQuery(d.getQuery());
-							System.out.println(NLS.bind(TXMUIMessages.CreateSubcorpus_9,
+							System.out.println(NLS.bind(TXMUIMessages.computeSubCorpusOnP0QueryDDotP1,
 								corpus.getName(), q.getQueryString())); 
 							subcorpus = corpus.createSubcorpus(q, d.getName());
 						} 
 						else {
-							System.out.println(NLS.bind(TXMUIMessages.CreateSubcorpus_7,
+							System.out.println(NLS.bind(TXMUIMessages.computeSubCorpusOnP0StructsDDotP1AmpPropsP2DDotP3,
 							new Object[]{corpus.getName(), d.getStructuralUnit(),
 									d.getStructuralUnitProperty(), d.getValues()}));
 							
@@ -121,15 +121,15 @@
 						if(subcorpus == null)
 						{
 							monitor.done();
-							System.out.println(TXMUIMessages.CreateSubCorpus_0);
+							System.out.println(TXMUIMessages.errorDDotSubcorpusWasNotCreated);
 							return Status.CANCEL_STATUS;
 						}
 						
-						System.out.println(NLS.bind(TXMUIMessages.CreateSubcorpus_8
+						System.out.println(NLS.bind(TXMUIMessages.doneDDotP0Created
 								, subcorpus.getName()));
 						monitor.worked(50);
 
-						monitor.subTask(TXMUIMessages.RefreshingCorporaView);
+						monitor.subTask(TXMUIMessages.refreshingCorpora);
 						syncExec(new Runnable() {
 							@Override
 							public void run() {
@@ -147,9 +147,9 @@
 						Log.severe(e.toString());
 						
 						try {
-							System.out.println(TXMUIMessages.LastCQPError+CQPSearchEngine.getCqiClient().getLastCQPError());
+							System.out.println(TXMUIMessages.lastCQPErrorDDot+CQPSearchEngine.getCqiClient().getLastCQPError());
 						} catch (Exception e1) {
-							System.out.println(TXMUIMessages.CreateSubCorpus_2+e1);
+							System.out.println(TXMUIMessages.failedToGetLastCQPErrorDDot+e1);
 							org.txm.rcp.utils.Logger.printStackTrace(e1);
 						}
 					} finally {
@@ -164,4 +164,4 @@
 		return null;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/CreatePartition.java	(revision 1335)
@@ -78,20 +78,20 @@
 		int code = d.open();
 		if (code == Window.OK) {
 			try {
-				JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.CreatePartition_0, corpus.getName())) {
+				JobHandler jobhandler = new JobHandler(NLS.bind(TXMUIMessages.creatingANewPartitionWithP0, corpus.getName())) {
 					@Override
 					protected IStatus run(IProgressMonitor monitor) {
 						this.runInit(monitor);
 						try {
 							JobsTimer.start();
-							monitor.beginTask(NLS.bind(TXMUIMessages.CreatePartition_0, corpus.getName()), 100);
+							monitor.beginTask(NLS.bind(TXMUIMessages.creatingANewPartitionWithP0, corpus.getName()), 100);
 							
-							Log.info(NLS.bind(TXMUIMessages.CreatePartition_0, corpus.getName()));
+							Log.info(NLS.bind(TXMUIMessages.creatingANewPartitionWithP0, corpus.getName()));
 							
 							final Partition partition = d.getPartition();
 							if (partition == null) {
 								monitor.done();
-								Log.severe(TXMUIMessages.CreatePartition_2);
+								Log.severe(TXMUIMessages.errorDDotThePartitionWasNotCreated);
 								return Status.CANCEL_STATUS;
 							}
 							try {
@@ -103,9 +103,9 @@
 							}
 							monitor.worked(95);
 
-							Log.info(NLS.bind(TXMUIMessages.CreatePartition_6, partition.getPartsCount()));
+							Log.info(NLS.bind(TXMUIMessages.doneDDotP0Parts, partition.getPartsCount()));
 							
-							monitor.subTask(TXMUIMessages.RefreshingCorporaView);
+							monitor.subTask(TXMUIMessages.refreshingCorpora);
 							syncExec(new Runnable() {
 								@Override
 								public void run() {
@@ -128,9 +128,9 @@
 				jobhandler.startJob();
 
 			} catch (Exception e) {
-				Log.severe(NLS.bind(TXMUIMessages.Error_creating_partition, e));
+				Log.severe(NLS.bind(TXMUIMessages.errorWhileCreatingAPartitionDDotP0, e));
 			}
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/ExportCorpus.java	(revision 1335)
@@ -109,22 +109,22 @@
 			lastopenedfile = filepath;
 			final File outfile = new File(filepath);
 			JobHandler jobhandler = new JobHandler(NLS.bind(
-					TXMUIMessages.ExportCorpus_3, corpus.getName())) {
+					TXMUIMessages.exportingP0ThisMayTakeAWhile, corpus.getName())) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
 						monitor.beginTask(
-								NLS.bind(TXMUIMessages.ExportCorpus_3,
+								NLS.bind(TXMUIMessages.exportingP0ThisMayTakeAWhile,
 										corpus.getName()), 100);
 						
 
 						if (!corpus.export(outfile, this)) {
 							System.out.println(NLS.bind(
-									TXMUIMessages.ExportCorpus_0, corpus.getName()));
+									TXMUIMessages.failedToExportCorpusP0, corpus.getName()));
 						}
 
-						System.out.println(TXMUIMessages.bind(TXMUIMessages.ExportCorpus_4,outfile.getAbsolutePath()));
+						System.out.println(TXMUIMessages.bind(TXMUIMessages.doneTheCreatedBinaryFileIsP0,outfile.getAbsolutePath()));
 						monitor.worked(100);
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
@@ -139,4 +139,4 @@
 
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/handlers/base/OpenBiblio.java	(revision 1335)
@@ -79,11 +79,11 @@
 			textids = new ArrayList<String>(corpus.getProject().getTextsID());
 			if (textids.size() == 0)
 			{
-				System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_1, corpus.getName()));
+				System.out.println(NLS.bind(TXMUIMessages.noTextInCorpusDDotP0, corpus.getName()));
 				return null;
 			}
 
-			ComboDialog dialog = new ComboDialog(shell, TXMUIMessages.OpenBiblio_2, textids, textids.get(0));
+			ComboDialog dialog = new ComboDialog(shell, TXMUIMessages.selectTextId, textids, textids.get(0));
 			if (dialog.open() == Window.OK)
 			{
 				String textid = dialog.getSelectedValue();
@@ -109,7 +109,7 @@
 
 		Text text = corpus.getProject().getText(textid);
 		if (text == null) {
-			System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_7, textid, corpus.getName()));
+			System.out.println(NLS.bind(TXMUIMessages.couldNotFindTextP0InCorpusP1, textid, corpus.getName()));
 			return null;
 		}
 
@@ -129,12 +129,12 @@
 			return null;
 		}
 		if (text.getBiblioPath() == null) {
-			System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_9, text.getName()));
+			System.out.println(NLS.bind(TXMUIMessages.textP0HasNoBibliographicRecord, text.getName()));
 			return null;
 		}
 		String url = text.getBiblioPath().toString();
 		if (url.trim().length() == 0) {
-			System.out.println(NLS.bind(TXMUIMessages.OpenBiblio_9, text.getName()));
+			System.out.println(NLS.bind(TXMUIMessages.textP0HasNoBibliographicRecord, text.getName()));
 			return null;
 		}
 		TXMBrowser attachedBrowserEditor = OpenBrowser.openEdition(url);
@@ -142,4 +142,4 @@
 		return null;
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/preferences/CQPPreferencePage.java	(revision 1335)
@@ -98,21 +98,21 @@
 	@Override
 	public void createFieldEditors() {
 
-		cqi_use_network = new BooleanFieldEditor(CQPLibPreferences.CQI_NETWORK_MODE, CQPUIMessages.CQPPreferencePage_1, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
-		cqi_server_path_to_cqplib = new DirectoryFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB, CQPUIMessages.CQPPreferencePage_0, getFieldEditorParent());
-		cqi_server_is_remote = new BooleanFieldEditor(CQPLibPreferences.CQI_SERVER_IS_REMOTE, CQPUIMessages.CQPPreferencePage_10, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
-		cqi_server_host = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_HOST, CQPUIMessages.CQPPreferencePage_11, getFieldEditorParent());
-		cqi_server_port = new IntegerFieldEditor(CQPLibPreferences.CQI_SERVER_PORT, CQPUIMessages.CQPPreferencePage_12, getFieldEditorParent());
-		cqi_server_user = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_LOGIN, CQPUIMessages.CQPPreferencePage_13, getFieldEditorParent());
+		cqi_use_network = new BooleanFieldEditor(CQPLibPreferences.CQI_NETWORK_MODE, CQPUIMessages.useNetworkProtocol, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
+		cqi_server_path_to_cqplib = new DirectoryFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_CQPLIB, CQPUIMessages.cQPlibPath, getFieldEditorParent());
+		cqi_server_is_remote = new BooleanFieldEditor(CQPLibPreferences.CQI_SERVER_IS_REMOTE, CQPUIMessages.ampRemoteCWBServerAddressDDot, BooleanFieldEditor.DEFAULT, getFieldEditorParent());
+		cqi_server_host = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_HOST, CQPUIMessages.cWBServerDDotAmphostDDot, getFieldEditorParent());
+		cqi_server_port = new IntegerFieldEditor(CQPLibPreferences.CQI_SERVER_PORT, CQPUIMessages.cWBServerDDotAmpportDDot, getFieldEditorParent());
+		cqi_server_user = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_LOGIN, CQPUIMessages.cWBServerDDotAmploginDDot, getFieldEditorParent());
 
-		cqi_server_password = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_PASSWORD, CQPUIMessages.CQPPreferencePage_14, getFieldEditorParent());
+		cqi_server_password = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_PASSWORD, CQPUIMessages.cWBServerDDotAmppasswordDDot, getFieldEditorParent());
 
-		cqi_server_path_to_executable = new FileFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE, CQPUIMessages.CQPPreferencePage_15, getFieldEditorParent());
+		cqi_server_path_to_executable = new FileFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_EXECUTABLE, CQPUIMessages.pathToCWBServerBinary, getFieldEditorParent());
 
 //		cqi_server_path_to_registry = new DirectoryFieldEditor(CQI_SERVER_PATH_TO_REGISTRY, CQPUIMessages.CQPPreferencePage_16, getFieldEditorParent());
 		
-		cqi_server_path_to_init_file = new FileFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE, CQPUIMessages.CQPPreferencePage_17, getFieldEditorParent());
-		cqi_server_additional_options = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_ADDITIONAL_OPTIONS, CQPUIMessages.CQPPreferencePage_18, getFieldEditorParent());
+		cqi_server_path_to_init_file = new FileFieldEditor(CQPLibPreferences.CQI_SERVER_PATH_TO_INIT_FILE, CQPUIMessages.pathToCWBServerInitializationFile, getFieldEditorParent());
+		cqi_server_additional_options = new StringFieldEditor(CQPLibPreferences.CQI_SERVER_ADDITIONAL_OPTIONS, CQPUIMessages.additionalAmpoptionsForTheCWBServerDDot, getFieldEditorParent());
 
 		addField(cqi_use_network);
 		addField(cqi_server_path_to_cqplib);
@@ -208,4 +208,4 @@
 		if (update)
 			updateFieldsState(useNetwork, serverIsRemote);
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 1334)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 1335)
@@ -14,16 +14,16 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.rcp.messages.messages"; //$NON-NLS-1$
 	
-	public static String CQPPreferencePage_0;
-	public static String CQPPreferencePage_1;
-	public static String CQPPreferencePage_10;
-	public static String CQPPreferencePage_11;
-	public static String CQPPreferencePage_12;
-	public static String CQPPreferencePage_13;
-	public static String CQPPreferencePage_14;
-	public static String CQPPreferencePage_15;
-	public static String CQPPreferencePage_17;
-	public static String CQPPreferencePage_18;
+	public static String cQPlibPath; 
+	public static String useNetworkProtocol; 
+	public static String ampRemoteCWBServerAddressDDot; 
+	public static String cWBServerDDotAmphostDDot; 
+	public static String cWBServerDDotAmpportDDot; 
+	public static String cWBServerDDotAmploginDDot; 
+	public static String cWBServerDDotAmppasswordDDot; 
+	public static String pathToCWBServerBinary; 
+	public static String pathToCWBServerInitializationFile; 
+	public static String additionalAmpoptionsForTheCWBServerDDot; 
 	
 	static {
 		// initialize resource bundle
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/Submit.java	(revision 1335)
@@ -70,7 +70,7 @@
 		if (editor instanceof TxtEditor) {
 			final TxtEditor Teditor = (TxtEditor) editor;
 			final ISelection selection = Teditor.getSelectionProvider().getSelection();
-			JobHandler job = new JobHandler(TXMUIMessages.Submit_0, true) {
+			JobHandler job = new JobHandler(TXMUIMessages.saveScript, true) {
 
 				@Override
 				protected IStatus run(final IProgressMonitor monitor) {
@@ -110,4 +110,4 @@
 		}
 		return event;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/OpenEmptyEditor.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/OpenEmptyEditor.java	(revision 1334)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/rcp/commands/R/OpenEmptyEditor.java	(revision 1335)
@@ -57,7 +57,7 @@
 		scripts.mkdir();
 		if (!scripts.exists())
 		{
-			System.out.println(NLS.bind(TXMUIMessages.OpenEmptyEditor_2, scripts));
+			System.out.println(NLS.bind(TXMUIMessages.couldNotFindDirectoryDDotP0, scripts));
 			return null;
 		}
 		
@@ -65,7 +65,7 @@
 		Rscripts.mkdir();
 		if (!Rscripts.exists())
 		{
-			System.out.println(NLS.bind(TXMUIMessages.OpenEmptyEditor_2, Rscripts));
+			System.out.println(NLS.bind(TXMUIMessages.couldNotFindDirectoryDDotP0, Rscripts));
 			return null;
 		}
 		
@@ -89,4 +89,4 @@
 		return null;
 	}
 
-}
+}
\ No newline at end of file
